Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.driver.textui
Class DebugController

    java.lang.Object
      com.sun.msv.driver.textui.DebugController

All Implemented Interfaces:
  org.xml.sax.EntityResolver, GrammarReaderController

public class DebugController
extends java.lang.Object
implements GrammarReaderController

GrammarReaderController that prints all errors and warnings.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`org.xml.sax.EntityResolver` | `externalEntityResolver` entity resolution is delegated to this object.

Constructor Summary
`DebugController(boolean displayWarning)`
`DebugController(boolean displayWarning, boolean quiet)`
`DebugController(boolean displayWarning, boolean quiet, org.xml.sax.EntityResolver externalEntityResolver)`
`DebugController(boolean displayWarning, boolean quiet, java.io.PrintStream outDevice)`
`DebugController(boolean displayWarning, boolean quiet, java.io.PrintStream outDevice, org.xml.sax.EntityResolver externalEntityResolver)`

Method Summary
`void` | `error(org.xml.sax.Locator[] loc, java.lang.String errorMessage, java.lang.Exception nestedException)`
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)`
`void` | `warning(org.xml.sax.Locator[] loc, java.lang.String errorMessage)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### externalEntityResolver

    public org.xml.sax.EntityResolver externalEntityResolver

  entity resolution is delegated to this object. can be null.

Constructor Detail

### DebugController

    public DebugController(boolean displayWarning)

### DebugController

    public DebugController(boolean displayWarning,
                           boolean quiet)

### DebugController

    public DebugController(boolean displayWarning,
                           boolean quiet,
                           org.xml.sax.EntityResolver externalEntityResolver)

### DebugController

    public DebugController(boolean displayWarning,
                           boolean quiet,
                           java.io.PrintStream outDevice)

### DebugController

    public DebugController(boolean displayWarning,
                           boolean quiet,
                           java.io.PrintStream outDevice,
                           org.xml.sax.EntityResolver externalEntityResolver)

Method Detail

### warning

    public void warning(org.xml.sax.Locator[] loc,
                        java.lang.String errorMessage)

  Specified by:
    `warning` in interface `GrammarReaderController`

### error

    public void error(org.xml.sax.Locator[] loc,
                      java.lang.String errorMessage,
                      java.lang.Exception nestedException)

  Specified by:
    `error` in interface `GrammarReaderController`

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws java.io.IOException,
                                                 org.xml.sax.SAXException

  Specified by:
    `resolveEntity` in interface `org.xml.sax.EntityResolver`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD